from django.db import models
from django.utils.translation import gettext_lazy, pgettext_lazy


class DeviceType(models.TextChoices):
    FIREWALL = "firewall", gettext_lazy("ARMA IF")
    ENDPOINT = "endpoint", gettext_lazy("ARMA Endpoint")
    SENSOR = "sensor", gettext_lazy("ARMA Sensor")


class AdjustDatetime(models.IntegerChoices):
    LOCAL = 1, gettext_lazy("Local")
    NOCHANGE = 2, gettext_lazy("Without changes")


class ArmaIndustrialFirewallStatus(models.TextChoices):
    online = 'online', gettext_lazy('Online')
    offline = 'offline', gettext_lazy('Offline')
    unauthorized = 'unauthorized', gettext_lazy('Unauthorized')
    error = 'error', gettext_lazy('Error')


class EndpointRotationType(models.IntegerChoices):
    TIME = 1, pgettext_lazy('Rotation type', 'Time')
    SIZE = 2, pgettext_lazy('Rotation type', 'Size')


class EndpointRotationTime(models.IntegerChoices):
    DAY = 1, pgettext_lazy('Rotation time settings', 'Day')
    WEEK = 2, pgettext_lazy('Rotation time settings', 'Week')
    MONTH = 3, pgettext_lazy('Rotation time settings', 'Month')
